<template>
    <v-layout align-start justify-center row fill-height wrap>
        <v-flex xs12 sm12 v-if="objectLength">
            <h2>Listado de Tránsitos</h2>

            <v-list subheader two-line>
                <v-list-tile v-for="(data) in getTaskTransitosDetail" v-bind:key="data.id">
                    <v-list-tile-action>
                        <v-checkbox v-model="itemsSelected" :value="data"></v-checkbox>
                    </v-list-tile-action>

                    <v-list-tile-content>
                        <v-list-tile-title>{{ data.consigned.name }}</v-list-tile-title>
                        <v-list-tile-sub-title>{{ data.type.name }}</v-list-tile-sub-title>
                    </v-list-tile-content>
                </v-list-tile>
            </v-list>

            <v-btn color="warning" @click="dialog = true" v-if="selectedLength">Entregar</v-btn>
        </v-flex>
        <v-flex xs12 sm12 v-if="!objectLength">
            <v-layout justify-center align-center row fill-height>
                <h2>No tienes Tareas en Tránsitos</h2>
            </v-layout>
        </v-flex>

        <task-dialog-termination @close-dialog="dialog = false" v-bind:dialog.sync="dialog" :items="itemsSelected" />

    </v-layout>
</template>

<script>
import {
    mapGetters,
    mapActions
} from 'vuex';
import TaskDialogTermination from '../../components/taskDialog/TaskDialogTerminate'
import server from '../../server';

export default {
    name: 'TaskTermination',
    components: {
        TaskDialogTermination
    },
    data() {
        return {
            itemsSelected: [],
            dialog: false,
        }
    },
    created() {
      this.refreshList();
    },
    methods: {
        refreshList() {
            let self = this;
            self.setTaskTransitoList(self.getUser.id);
        },
        clearList() {
            this.itemsSelected = [];
        },
        ...mapActions([
            'setTaskTransitoList',
        ])
    },
    computed: {
        ...mapGetters([
            'getTaskTransitosDetail',
            'getUser',
        ]),
        objectLength() {
            let self = this;
            return Object.keys(self.getTaskTransitosDetail).length
        },
        selectedLength() {
            return Object.keys(this.itemsSelected).length
        },
    },

}
</script>
